const std = @import("std");
const game = @import("board.zig");




pub fn main() !void {
    const stdout_file = std.io.getStdOut().writer();
    var bw = std.io.bufferedWriter(stdout_file);
    const stdout = bw.writer();

    var board = game.Board.init();

    try board.print5();
    try stdout.print("\n", .{});

    var gpa = std.heap.GeneralPurposeAllocator(.{}){};
    const allocator = gpa.allocator();
    defer _ = gpa.deinit();

    var buffer = std.ArrayList(u8).init(allocator);
    try board.calculate2(allocator);
    // for (buffer.items) |item| {
    //     try stdout.print("{}x{}\n", .{item & 0b111, (item >> 3) & 0b111});
    // }
    buffer.deinit();

    try bw.flush();
}
